<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
      integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
      crossorigin="anonymous"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-buttons</title>
    <style>
      .password-form {
        display: flex;
        flex-direction: column;
      }
      .input-wrapper {
        position: relative;
        width: 200px;
      }

      .input-wrapper input {
        min-width: 120px;
        padding: 10px;
        margin-bottom: 24px;
      }

      .input-wrapper i {
        position: absolute;
        right: 35px;
        top: 30px;
        color: grey;
      }

      .btn {
        width: 150px;
      }
    </style>
  </head>
  <body>
    <form class="password-form" action="#" type="POST">
      <label class="input-wrapper">
        Ввести пароль
        <input class="enter-password" type="password" />
        <i class="fas fa-eye icon-password"></i>
        <!-- <i class="fas fa-eye-slash icon-password"></i> -->
      </label>
      <label class="input-wrapper">
        Подтвердить пароль
        <input class="confirm-password" type="password"  />
        <i class="fas fa-eye icon-password"></i>
        <!-- <i class="fas fa-eye-slash icon-password"></i> -->
      </label>
      <button type="submit" class="btn">Подтвердить</button>
    </form>
    <script>
      const inputWrappers = document.querySelectorAll(".input-wrapper" );
      inputWrappers.forEach(inputWrapper=>{
        const passwordInput = inputWrapper.querySelector("input");
        const iElement = inputWrapper.querySelector("i");
        passwordInput.addEventListener("click", () => {
          const passwordInputtype =  passwordInput.getAttribute("type") === "password" ? "text" : "password";
          const newIClass =  iElement.getAttribute("class").includes("fa-eye-slash") ? "fas fa-eye icon-password": "fas fa-eye-slash icon-password";
            passwordInput.setAttribute("type", passwordInputtype);
            iElement.setAttribute("class", newIClass);
        })
      })

      const button = document.querySelector(".btn").addEventListener("click", () => {
      const enterPasswordValue = document.querySelector(".enter-password").value;
      const confirmPasswordValue = document.querySelector(".confirm-password").value;
      if (enterPasswordValue !== confirmPasswordValue) 
          alert("Потрібно ввести однакові значення")
        else {
          alert("You are welcome")   
        } 
      });
    
      const form = document.querySelector("form");
      form.addEventListener('submit', function (e) {
        e.preventDefault();
      });

    </script>
  </body>
</html>
